Skip to content

Supported banks

GET
/api/v2/banks/{countryCode}/supported
Code sample: Shell / cURL
curl --request GET \
--url https://api.ztlpay.io/api/v2/banks/NO/supported \
--header 'Authorization: Bearer <token>'

List of supported banks, with known constraints. Due to variations in the PSD2 APIs of the different banks, initiating a payment with certain banks may be subject to some limitations

countryCode
required
string format: ISO-3166

Country code, ISO-3166

Example
NO

Successfully retrieved details of supported banks.

Media typeapplication/json
Array<object>

A supported bank with constraints and branches

object
bic
required

Bank BIC code, 8 digits

string
constraints

Bank constraints on top level. Present on banks without branches, and if constraints are the same for all branches. If the constraints are different, constraints will be contained within each branch in the branches list.

object
maxBasketSize
required

The maximum number of transactions that can be bundled in the same basket.

integer
maxInformationFieldLength
required

The maximum length of information fields such as debtor name or creditor address.

integer
maxUnstructuredRemittanceInfoLength
required

The maximum length of unstructured remittance information (i.e., payment message) that may be sent in the initiate payment request.

integer
aisMaxDateRangeMonths

The maximum range for retrieving account entries for an account.

integer
cancelSCARequired
required

If true, then the bank requires SCA for cancelling payments. If false, cancelling payments do not require SCA.

boolean
validInformationFieldCharactersPattern
required

Regex for allowed symbols in information fields such as debtor name or remittance info.

string
aisMaxDateRangeNote

Additional information about ais date range

string
maxBulkSize

The maximum number of transactions that can be bundled in a bulk payment.

integer
countryCode
required
string
name
required

Bank name

string
platform

Platform the PSD2 solution is operating on (e.g. EVRY in Norway, SDC). Included if we have this in our internal system

string
bankAlliance

Alliance of the bank, Included if we have this in our internal system

string
supportedProducts
required
Array<string>
Allowed values: PAYMENT_DOMESTIC PAYMENT_INTERNATIONAL PAYROLL ACCOUNT_SERVICE PAYMENT_BULK
branches
Array<object>
object
name
required

Name of the branch

string
branch
required

The branch name that should be sent to us when creating consent

string
constraints

Constraints applicable to this specific branch. Contained only if constraints are different for each branch.

object
maxBasketSize
required

The maximum number of transactions that can be bundled in the same basket.

integer
maxInformationFieldLength
required

The maximum length of information fields such as debtor name or creditor address.

integer
maxUnstructuredRemittanceInfoLength
required

The maximum length of unstructured remittance information (i.e., payment message) that may be sent in the initiate payment request.

integer
aisMaxDateRangeMonths

The maximum range for retrieving account entries for an account.

integer
cancelSCARequired
required

If true, then the bank requires SCA for cancelling payments. If false, cancelling payments do not require SCA.

boolean
validInformationFieldCharactersPattern
required

Regex for allowed symbols in information fields such as debtor name or remittance info.

string
aisMaxDateRangeNote

Additional information about ais date range

string
maxBulkSize

The maximum number of transactions that can be bundled in a bulk payment.

integer
Example
[
{
"bic": "DNBANOKK",
"constraints": {
"maxBasketSize": 20,
"maxInformationFieldLength": 35,
"maxUnstructuredRemittanceInfoLength": 108,
"aisMaxDateRangeMonths": 12,
"cancelSCARequired": true,
"validInformationFieldCharactersPattern": "[A-ZÆØÅa-zæøå0-9\\\\D]",
"aisMaxDateRangeNote": "Supports up to 24 months if consent age < 1h",
"maxBulkSize": 20
},
"countryCode": "NO",
"name": "DNB BANK ASA",
"platform": "EVRY",
"bankAlliance": "SPAREBANK_1",
"supportedProducts": [
"PAYMENT_DOMESTIC"
],
"branches": [
{
"name": "District",
"branch": "DISTRICT",
"constraints": {
"maxBasketSize": 20,
"maxInformationFieldLength": 35,
"maxUnstructuredRemittanceInfoLength": 108,
"aisMaxDateRangeMonths": 12,
"cancelSCARequired": true,
"validInformationFieldCharactersPattern": "[A-ZÆØÅa-zæøå0-9\\\\D]",
"aisMaxDateRangeNote": "Supports up to 24 months if consent age < 1h",
"maxBulkSize": 20
}
}
]
}
]

Bad request

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9